"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Allouer = void 0;

var ast = _interopRequireWildcard(require("../ast"));

var _error = require("../jungle/error.js");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

class Allouer extends ast.Procedure {
  constructor() {
    super(null, 'allouer', null, []);
  }

  checkParameters(args) {
    if (args.length !== 1) throw new _error.JungleError('allouer prend un seul paramètre et non ' + args.length);
    if (!(args[0].resType instanceof ast.Pointer)) throw new _error.JungleError('allouer prend un paramètre de type pointeur et non un ' + args[0].resType, args[0].location);
    return true;
  }

  execute(executor, params) {
    params[0].value = params[0].type.create('0x' + Math.round(Math.random() * 10000000).toString(16));
    executor.heap[params[0].value] = {
      type: params[0].type.pointOn,
      value: params[0].type.pointOn.create()
    };
  }

}

exports.Allouer = Allouer;