"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Caractere = void 0;

var ast = _interopRequireWildcard(require("../ast"));

var types = _interopRequireWildcard(require("../types"));

var _error = require("../jungle/error.js");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

class Caractere extends ast.Function {
  constructor(caractere) {
    super(null, 'caractere', caractere, new ast.Routine(new ast.Parameters([], []), [], [], []), []);
  }

  checkParameters(args) {
    if (args.length !== 1) throw new Error('caractere prend un seul paramètre et non ' + args.length);
    const argType = args[0].resType;
    if (!(argType instanceof types.Entier || argType instanceof types.Caractere)) throw new _error.JungleError('cet argument ne peut pas être transformé en caractere', args[0].location);
    return true;
  }

  execute(executor, params) {
    if (params[0].type instanceof types.Entier) return this.createReturn(this.type.create(String.fromCharCode(params[0].value)));
    return this.createReturn(this.type.create(params[0].value));
  }

}

exports.Caractere = Caractere;