"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Liberer = void 0;

var ast = _interopRequireWildcard(require("../ast"));

var _error = require("../jungle/error.js");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

class Liberer extends ast.Procedure {
  constructor() {
    super(null, 'liberer', null, []);
  }

  checkParameters(args) {
    if (args.length !== 1) throw new _error.JungleError('liberer prend un seul paramètre et non ' + args.length);
    if (!(args[0].resType instanceof ast.Pointer)) throw new _error.JungleError('liberer prend un paramètre de type pointeur et non un ' + args[0].resType, args[0].location);
    return true;
  }

  execute(executor, params) {
    if (params.value === 0) return;
    if (!(params[0].value in executor.heap)) throw new _error.JungleError('Segmentation fault');
    delete executor.heap[params[0].value];
    params[0].value = 0;
  }

}

exports.Liberer = Liberer;